Package org.apache.sysds.runtime.einsum

# Class EinsumContext

java.lang.Object
org.apache.sysds.runtime.einsum.EinsumContext

public class EinsumContext extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`Map<Character,Integer>`
`characterAppearanceCount`
`Map<Character,Integer>`
`charToDimensionSize`
`String`
`equationString`
`List<String>`
`newEquationStringInputsSplit`
`Character`
`outChar1`
`Character`
`outChar2`
`Integer`
`outCols`
`Integer`
`outRows`

## Method Summary

Modifier and Type
Method
Description
`static EinsumContext`
`getEinsumContext(String eqStr, List<MatrixBlock> inputs)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### outRows

public Integer outRows

### outCols

public Integer outCols

### outChar1

public Character outChar1

### outChar2

public Character outChar2

### charToDimensionSize

public Map<Character,Integer> charToDimensionSize

### equationString

public String equationString

### newEquationStringInputsSplit

public List<String> newEquationStringInputsSplit

### characterAppearanceCount

public Map<Character,Integer> characterAppearanceCount

## Method Details

### getEinsumContext

public static EinsumContext getEinsumContext(String eqStr, List<MatrixBlock> inputs)